<?php

namespace Service;

class ScanCode {

	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager){
		$this->entityManager = $entityManager;
	}

	public function changeState($CDSETOR, $IDHABSCANCODE){
		$params = array(
			':IDHABSCANCODE'=> $IDHABSCANCODE,
			':CDSETOR'  => $CDSETOR
		);
		return $this->entityManager->getConnection()->fetchAll(\Util\Query::UPDATE_STATE_SCANCODE, $params);
	}

	public function getOrderByUrl($DSQRCODENFCE){
		$params = array(
			':DSQRCODENFCE'=> $DSQRCODENFCE
		);
		return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_ORDER_BY_URL, $params);
	}

}